#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37bd99dc, "crypto_aead_setkey" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0x471f1bd1, "af_alg_unregister_type" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xf8a2dcab, "crypto_alloc_aead" },
	{ 0x91d66e0c, "crypto_get_default_null_skcipher" },
	{ 0x4d8fefed, "lock_sock_nested" },
	{ 0xa34f366c, "release_sock" },
	{ 0xfbe3d4b7, "af_alg_alloc_areq" },
	{ 0xe9ed43af, "af_alg_get_rsgl" },
	{ 0x3bc2cdee, "af_alg_free_resources" },
	{ 0xc1e5d6c7, "af_alg_wmem_wakeup" },
	{ 0x8f52a5db, "af_alg_wait_for_data" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0x3b45dd0e, "crypto_aead_decrypt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x23579201, "crypto_aead_encrypt" },
	{ 0x6dd2584, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd777302d, "sk_free" },
	{ 0xedad51b8, "af_alg_release" },
	{ 0x3af21832, "sock_no_bind" },
	{ 0xae1f0014, "sock_no_connect" },
	{ 0xf33a4524, "sock_no_socketpair" },
	{ 0x4036972f, "sock_no_accept" },
	{ 0x419dd2f9, "sock_no_getname" },
	{ 0x21502d05, "af_alg_poll" },
	{ 0x9229223c, "sock_no_ioctl" },
	{ 0xc2dc678f, "sock_no_listen" },
	{ 0x15cedaa2, "sock_no_shutdown" },
	{ 0xb33d12ab, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4184b67, "af_alg_register_type" },
	{ 0x908e24c3, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf035ee3f, "af_alg_sendmsg" },
	{ 0xff0f3a87, "crypto_aead_setauthsize" },
	{ 0x52a1bd39, "af_alg_pull_tsgl" },
	{ 0x1190e897, "sock_kzfree_s" },
	{ 0xd6aac906, "sock_kfree_s" },
	{ 0xc67232ef, "af_alg_release_parent" },
	{ 0xbf63fa87, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "6B9C2886D9915EB01BA8ECF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
